GuideLab API

Redeem a join code to join an organization

Redeems a shareable join code and adds the current user as a member of the organization. Returns 404 with error 'invalid_code' for unknown codes so clients can fall back to invitation-id acceptance.

POST
/organization/join-code/redeem

Redeems a shareable join code and adds the current user as a member of the organization. Returns 404 with error 'invalid_code' for unknown codes so clients can fall back to invitation-id acceptance.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organization/join-code/redeem" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "success": true,  "organizationId": "string",  "organizationType": "lab",  "alreadyMember": true}
Empty
Empty
Empty
Empty
Empty
Empty